JUCE: AudioProcessorGraph::Connection Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioProcessorGraph::Connection Struct Reference
juce_audio_processors » processors

Represents a connection between two channels of two nodes in an AudioProcessorGraph. More...

`#include <juce_AudioProcessorGraph.h>`

## Public Member Functions
| Connection ()=default
| Connection (NodeAndChannel source, NodeAndChannel destination) noexcept
| Connection (const Connection &)=default
Connection & | operator= (const Connection &)=default
bool | operator== (const Connection &) const noexcept
bool | operator!= (const Connection &) const noexcept
bool | operator< (const Connection &) const noexcept

## Public Attributes
NodeAndChannel | source { {}, 0 }
| The channel and node which is the input source for this connection.
NodeAndChannel | destination { {}, 0 }
| The channel and node which is the input source for this connection.

## Detailed Description

Represents a connection between two channels of two nodes in an AudioProcessorGraph.

To create a connection, use AudioProcessorGraph::addConnection().

## Constructor & Destructor Documentation

## ◆ Connection() [1/3]

AudioProcessorGraph::Connection::Connection | ( |  | ) |
| default

## ◆ Connection() [2/3]

AudioProcessorGraph::Connection::Connection | ( | NodeAndChannel | source,
|  | NodeAndChannel | destination )
| noexcept

## ◆ Connection() [3/3]

AudioProcessorGraph::Connection::Connection | ( | const Connection & |  | ) |
| default

## Member Function Documentation

## ◆ operator=()

Connection & AudioProcessorGraph::Connection::operator= | ( | const Connection & |  | ) |
| default

## ◆ operator==()

bool AudioProcessorGraph::Connection::operator== | ( | const Connection & |  | ) | const
| noexcept

## ◆ operator!=()

bool AudioProcessorGraph::Connection::operator!= | ( | const Connection & |  | ) | const
| noexcept

## ◆ operator<()

bool AudioProcessorGraph::Connection::operator< | ( | const Connection & |  | ) | const
| noexcept

## Member Data Documentation

## ◆ source

NodeAndChannel AudioProcessorGraph::Connection::source { {}, 0 }

The channel and node which is the input source for this connection.

## ◆ destination

NodeAndChannel AudioProcessorGraph::Connection::destination { {}, 0 }

The channel and node which is the input source for this connection.

The documentation for this struct was generated from the following file:

- juce_AudioProcessorGraph.h